Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.cloudwatch
Class AmazonCloudWatchClient

    java.lang.Object
      com.amazonaws.AmazonWebServiceClient
          com.amazonaws.services.cloudwatch.AmazonCloudWatchClient

All Implemented Interfaces:
  AmazonCloudWatch

Direct Known Subclasses:
  AmazonCloudWatchAsyncClient

    public class AmazonCloudWatchClient

extends AmazonWebServiceClient
implements AmazonCloudWatch

Client for accessing AmazonCloudWatch. All service calls made using this client are blocking, and will not return until the service call completes.

Constructor Summary
`AmazonCloudWatchClient(AWSCredentials awsCredentials)` Constructs a new client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials.
`AmazonCloudWatchClient(AWSCredentials awsCredentials, ClientConfiguration clientConfiguration)` Constructs a new client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials and client configuration options.

Method Summary
`GetMetricStatisticsResult` | `getMetricStatistics(GetMetricStatisticsRequest getMetricStatisticsRequest)`
`ListMetricsResult` | `listMetrics()`
`ListMetricsResult` | `listMetrics(ListMetricsRequest listMetricsRequest)`

Methods inherited from class com.amazonaws.AmazonWebServiceClient
`setEndpoint, shutdown`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.amazonaws.services.cloudwatch.AmazonCloudWatch
`setEndpoint, shutdown`

Constructor Detail

### AmazonCloudWatchClient

    public AmazonCloudWatchClient(AWSCredentials awsCredentials)

  Constructs a new client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials.

  All service calls made using this new client object are blocking, and will not return until the service call completes.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.

### AmazonCloudWatchClient

    public AmazonCloudWatchClient(AWSCredentials awsCredentials,
                                  ClientConfiguration clientConfiguration)

  Constructs a new client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials and client configuration options.

  All service calls made using this new client object are blocking, and will not return until the service call completes.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
    `clientConfiguration` - The client configuration options controlling how this client connects to AmazonCloudWatch (ex: proxy settings, retry counts, etc.).

Method Detail

### listMetrics

    public ListMetricsResult listMetrics(ListMetricsRequest listMetricsRequest)
                                  throws AmazonServiceException,
                                         AmazonClientException

  Specified by:
    `listMetrics` in interface `AmazonCloudWatch`
  Parameters:
    `listMetricsRequest` - Container for the necessary parameters to execute the ListMetrics service method on AmazonCloudWatch.
  Returns:
    The response from the ListMetrics service method, as returned by AmazonCloudWatch.
  Throws:
    `InvalidParameterValueException`
    `InternalServiceException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonCloudWatch indicating either a problem with the data in the request, or a server side issue.

### getMetricStatistics

    public GetMetricStatisticsResult getMetricStatistics(GetMetricStatisticsRequest getMetricStatisticsRequest)
                                                  throws AmazonServiceException,
                                                         AmazonClientException

  Specified by:
    `getMetricStatistics` in interface `AmazonCloudWatch`
  Parameters:
    `getMetricStatisticsRequest` - Container for the necessary parameters to execute the GetMetricStatistics service method on AmazonCloudWatch.
  Returns:
    The response from the GetMetricStatistics service method, as returned by AmazonCloudWatch.
  Throws:
    `InvalidParameterValueException`
    `InternalServiceException`
    `InvalidParameterCombinationException`
    `MissingRequiredParameterException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonCloudWatch indicating either a problem with the data in the request, or a server side issue.

### listMetrics

    public ListMetricsResult listMetrics()
                                  throws AmazonServiceException,
                                         AmazonClientException

  Specified by:
    `listMetrics` in interface `AmazonCloudWatch`
  Returns:
    The response from the ListMetrics service method, as returned by AmazonCloudWatch.
  Throws:
    `InvalidParameterValueException`
    `InternalServiceException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonCloudWatch indicating either a problem with the data in the request, or a server side issue.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.